%define buildversion	4997

Name:		jitsi
Version:	2.4.4997
Release:	%mkrel 0.2
Summary:	Open Source Video Calls And Chat
Summary(fr_FR):	Logiciel libre d'Appels vidéo et de chat
Group:		Networking/Instant messaging
License:	LGPLv2+
URL:		https://jitsi.org/
Source0:	https://download.jitsi.org/jitsi/src/%{name}-src-%{version}.zip
Patch0:		jitsi-2.4-mga-fix_bin_file_path.patch
Patch1:		jitsi-2.4-mga-fix_man_file_package-name.patch
Patch2:		jitsi-2.4-mga-fix_desktop_file_package-name.patch

BuildRequires:	ant
BuildRequires:	desktop-file-utils
BuildRequires:	gzip
BuildRequires:	java-devel

Requires:	java-1.7.0-openjdk 


%description
Jitsi is an audio/video Internet phone and instant messenger that
supports some of the most popular instant messaging and telephony protocols
such as SIP, Jabber, AIM/ICQ, MSN, Yahoo! Messenger, Bonjour, RSS and
counting. Jitsi is completely Open Source / Free Software, and is
freely available under the terms of the GNU Lesser General Public License.

%description -l fr_FR
Jitsi est un logiciel VoIP audio/vidéo et de messagerie instantanée qui
prend en charge une partie de protocoles populaires de messagerie instantanée 
et de téléphonie tels que SIP, Jabber, AIM/ICQ, MSN, Yahoo! Messenger, 
Bonjour, RSS et comptage. 
Jitsi est entièrement open source/logiciel libre, et est librement 
disponibles sous les termes de la licence GNU Lesser General Public.


%prep
%setup -q -n %{name}
%apply_patches

%build
%ant -Dlabel=%{buildversion} rebuild

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/apps
mkdir -p %{buildroot}%{_javadir}/%{name}/lib/bundle
mkdir -p %{buildroot}%{_javadir}/%{name}/sc-bundles
mkdir -p %{buildroot}%{_libdir}/%{name}/native

# copy the documentation
cp -pr resources/install/debian/jitsi.1.tmpl %{buildroot}%{_mandir}/man1/%{name}.1
gzip %{buildroot}%{_mandir}/man1/%{name}.1

# copy the launcher script
install -m 755 resources/install/debian/jitsi.sh.tmpl %{buildroot}%{_bindir}/%{name}

# copy the menu icons
cp -pr resources/install/debian/jitsi-32.xpm %{buildroot}%{_datadir}/pixmaps/%{name}-32.xpm
cp -pr resources/install/debian/jitsi-16.xpm %{buildroot}%{_datadir}/pixmaps/%{name}-16.xpm
cp -pr resources/install/debian/jitsi.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

# copy the menu entry
cp -pr resources/install/debian/jitsi.desktop.tmpl %{buildroot}%{_datadir}/applications/%{name}.desktop

desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications \
	--set-icon=%{name} \
	%{buildroot}%{_datadir}/applications/%{name}.desktop

# copy the sc-bundles
cp -pr sc-bundles/*.jar %{buildroot}%{_javadir}/%{name}/sc-bundles/
# remove all slicks
rm -rf %{buildroot}%{_javadir}/%{name}/sc-bundles/*-slick.jar
rm -rf %{buildroot}%{_javadir}/%{name}/sc-bundles/slick*.jar

# copy the os-specific sc-bundles
cp -pr sc-bundles/os-specific/linux/*.jar %{buildroot}%{_javadir}/%{name}/sc-bundles/

# copy the lib jars
cp -pr lib/*.jar %{buildroot}%{_javadir}/%{name}/lib/
cp -pr lib/bundle/* %{buildroot}%{_javadir}/%{name}/lib/bundle/
rm %{buildroot}%{_javadir}/%{name}/lib/bundle/junit.jar

# copy the native libs
%ifarch i386 i586 i686
cp -pr lib/native/linux/* %{buildroot}%{_libdir}/%{name}/native/
%else
cp -pr lib/native/linux-64/* %{buildroot}%{_libdir}/%{name}/native/
%endif

# copy the resources
cp -pr resources/install/logging.properties %{buildroot}%{_libdir}/%{name}/
cp -pr lib/felix.client.run.properties %{buildroot}%{_libdir}/%{name}/
cp -pr lib/jitsi-defaults.properties %{buildroot}%{_libdir}/%{name}/

%files
%doc LICENSE
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_javadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}*
%{_iconsdir}/hicolor/*/*/%{name}.svg
%{_mandir}/man1/%{name}.1.xz


%changelog
* Sun Mar 16 2014 david.david (MLO Team) <david.david> 2.4.4997-0.2.mga4
- add patches to remove 'sed' commands (bin, man and desktop files)
- use correct '.jar' files directory
- use correct library files directory

* Tue Jan 28 2014 david.david (MLO Team) <david.david> 2.4.4997-0.1.mga4
+ Rebuild package for Mageia 4 (Core\MLO)
- version: 2.4.4997
- update License

* Tue Jan 28 2014 david.david (MLO Team) <david.david> 2.4.4997-1.mga3
+ new version: 2.4.4997
- update License

* Mon Nov 11 2013 david.david (MLO Team) <david.david> 2.2.4603.9615-1.mga3
+ new version: 2.2.4603.9615
- clean spec file a bit
- update url
- add BR desktop-file-utils

* Thu Apr 04 2013 david.david (MLO Team) <david.david> 2.0-1.mga3
+ Rebuild for Mageia 3 (Core)
- new version 2.0

* Thu Apr 04 2013 david.david (MLO Team) <david.david> 2.0-1.mga2
+ New version 2.0
- clean "spec" file
    
    - Fixed startup script. 
    - Add felix.framework and felix.main dependencies.
    - Fix warning about conflicting folders with filesystem package. 
    
* Sun Feb 24 2013 AdrienD <adriend> 1.0-1-mga2
- New RPM
